diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-routing-table-entry.h ns-3.44/src/internet/model/ipv6-routing-table-entry.h
--- ns-3.43/src/internet/model/ipv6-routing-table-entry.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-routing-table-entry.h	2025-03-09 16:55:49.399371100 -0700
@@ -19,108 +19,108 @@
 {
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief A record of an IPv6 route.
+ * @brief A record of an IPv6 route.
  */
 class Ipv6RoutingTableEntry
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6RoutingTableEntry();
 
     /**
-     * \brief Copy constructor.
-     * \param route the route to copy
+     * @brief Copy constructor.
+     * @param route the route to copy
      */
     Ipv6RoutingTableEntry(const Ipv6RoutingTableEntry& route);
 
     /**
-     * \brief Copy constructor.
-     * \param route the route to copy
+     * @brief Copy constructor.
+     * @param route the route to copy
      */
     Ipv6RoutingTableEntry(const Ipv6RoutingTableEntry* route);
 
     /**
-     * \brief Destructor
+     * @brief Destructor
      */
     virtual ~Ipv6RoutingTableEntry();
 
     /**
-     * \brief Is the route entry correspond to a host ?
-     * \return true if the route is a host, false otherwise
+     * @brief Is the route entry correspond to a host ?
+     * @return true if the route is a host, false otherwise
      */
     bool IsHost() const;
 
     /**
-     * \brief Get the destination.
-     * \return the IPv6 address of the destination of this route
+     * @brief Get the destination.
+     * @return the IPv6 address of the destination of this route
      */
     Ipv6Address GetDest() const;
 
     /**
-     * \brief Get the prefix to use (for multihomed link).
-     * \return prefix address to use
+     * @brief Get the prefix to use (for multihomed link).
+     * @return prefix address to use
      */
     Ipv6Address GetPrefixToUse() const;
 
     /**
-     * \brief Set the prefix to use.
-     * \param prefix prefix to use
+     * @brief Set the prefix to use.
+     * @param prefix prefix to use
      */
     void SetPrefixToUse(Ipv6Address prefix);
 
     /**
-     * \brief Is the route entry correspond to a network ?
-     * \return true if the route is a network, false otherwise
+     * @brief Is the route entry correspond to a network ?
+     * @return true if the route is a network, false otherwise
      */
     bool IsNetwork() const;
 
     /**
-     * \brief Get the destination network.
-     * \return the destination network
+     * @brief Get the destination network.
+     * @return the destination network
      */
     Ipv6Address GetDestNetwork() const;
 
     /**
-     * \brief Get the destination prefix.
-     * \return the destination prefix
+     * @brief Get the destination prefix.
+     * @return the destination prefix
      */
     Ipv6Prefix GetDestNetworkPrefix() const;
 
     /**
-     * \brief Is it the default route ?
-     * \return true if this route is a default route, false otherwise
+     * @brief Is it the default route ?
+     * @return true if this route is a default route, false otherwise
      */
     bool IsDefault() const;
 
     /**
-     * \brief Is it the gateway ?
-     * \return true if this route is a gateway, false otherwise
+     * @brief Is it the gateway ?
+     * @return true if this route is a gateway, false otherwise
      */
     bool IsGateway() const;
 
     /**
-     * \brief Get the gateway.
-     * \return the IPv6 address of the gateway
+     * @brief Get the gateway.
+     * @return the IPv6 address of the gateway
      */
     Ipv6Address GetGateway() const;
 
     /**
-     * \brief Get the interface index.
-     * \return the index of the interface
+     * @brief Get the interface index.
+     * @return the index of the interface
      */
     uint32_t GetInterface() const;
 
     /**
-     * \brief Create a route to a host.
-     * \param dest destination address
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
-     * \return IPv6Route object
+     * @brief Create a route to a host.
+     * @param dest destination address
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateHostRouteTo(Ipv6Address dest,
                                                    Ipv6Address nextHop,
@@ -128,20 +128,20 @@
                                                    Ipv6Address prefixToUse = Ipv6Address());
 
     /**
-     * \brief Create a route to a host.
-     * \param dest destination address
-     * \param interface interface index
-     * \return IPv6Route object
+     * @brief Create a route to a host.
+     * @param dest destination address
+     * @param interface interface index
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateHostRouteTo(Ipv6Address dest, uint32_t interface);
 
     /**
-     * \brief Create a route to a network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \return IPv6Route object
+     * @brief Create a route to a network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateNetworkRouteTo(Ipv6Address network,
                                                       Ipv6Prefix networkPrefix,
@@ -149,13 +149,13 @@
                                                       uint32_t interface);
 
     /**
-     * \brief Create a route to a network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
-     * \return IPv6Route object
+     * @brief Create a route to a network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateNetworkRouteTo(Ipv6Address network,
                                                       Ipv6Prefix networkPrefix,
@@ -164,31 +164,31 @@
                                                       Ipv6Address prefixToUse);
 
     /**
-     * \brief Create a route to a network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
-     * \return IPv6Route object
+     * @brief Create a route to a network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateNetworkRouteTo(Ipv6Address network,
                                                       Ipv6Prefix networkPrefix,
                                                       uint32_t interface);
 
     /**
-     * \brief Create a default route.
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \return IPv6Route object
+     * @brief Create a default route.
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @return IPv6Route object
      */
     static Ipv6RoutingTableEntry CreateDefaultRoute(Ipv6Address nextHop, uint32_t interface);
 
   private:
     /**
-     * \brief Constructor.
-     * \param network network address
-     * \param prefix network prefix
-     * \param gateway the gateway
-     * \param interface the interface index
+     * @brief Constructor.
+     * @param network network address
+     * @param prefix network prefix
+     * @param gateway the gateway
+     * @param interface the interface index
      */
     Ipv6RoutingTableEntry(Ipv6Address network,
                           Ipv6Prefix prefix,
@@ -196,11 +196,11 @@
                           uint32_t interface);
 
     /**
-     * \brief Constructor.
-     * \param network network address
-     * \param prefix network prefix
-     * \param interface the interface index
-     * \param prefixToUse prefix to use
+     * @brief Constructor.
+     * @param network network address
+     * @param prefix network prefix
+     * @param interface the interface index
+     * @param prefixToUse prefix to use
      */
     Ipv6RoutingTableEntry(Ipv6Address network,
                           Ipv6Prefix prefix,
@@ -208,12 +208,12 @@
                           Ipv6Address prefixToUse);
 
     /**
-     * \brief Constructor.
-     * \param network network address
-     * \param prefix network prefix
-     * \param gateway the gateway
-     * \param interface the interface index
-     * \param prefixToUse prefix to use
+     * @brief Constructor.
+     * @param network network address
+     * @param prefix network prefix
+     * @param gateway the gateway
+     * @param interface the interface index
+     * @param prefixToUse prefix to use
      */
     Ipv6RoutingTableEntry(Ipv6Address network,
                           Ipv6Prefix prefix,
@@ -222,132 +222,132 @@
                           Ipv6Address prefixToUse);
 
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param prefix destination prefix
-     * \param interface interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param prefix destination prefix
+     * @param interface interface index
      */
     Ipv6RoutingTableEntry(Ipv6Address dest, Ipv6Prefix prefix, uint32_t interface);
 
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param gateway the gateway
-     * \param interface interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param gateway the gateway
+     * @param interface interface index
      */
     Ipv6RoutingTableEntry(Ipv6Address dest, Ipv6Address gateway, uint32_t interface);
 
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param interface interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param interface interface index
      */
     Ipv6RoutingTableEntry(Ipv6Address dest, uint32_t interface);
 
     /**
-     * \brief IPv6 address of the destination.
+     * @brief IPv6 address of the destination.
      */
     Ipv6Address m_dest;
 
     /**
-     * \brief IPv6 prefix of the destination
+     * @brief IPv6 prefix of the destination
      */
     Ipv6Prefix m_destNetworkPrefix;
 
     /**
-     * \brief IPv6 address of the gateway.
+     * @brief IPv6 address of the gateway.
      */
     Ipv6Address m_gateway;
 
     /**
-     * \brief The interface index.
+     * @brief The interface index.
      */
     uint32_t m_interface;
 
     /**
-     * \brief Prefix to use.
+     * @brief Prefix to use.
      */
     Ipv6Address m_prefixToUse;
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv6 routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv6 routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv6RoutingTableEntry& route);
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief A record of an IPv6 multicast route.
+ * @brief A record of an IPv6 multicast route.
  */
 class Ipv6MulticastRoutingTableEntry
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6MulticastRoutingTableEntry();
 
     /**
-     * \brief Copy constructor.
-     * \param route the route to copy
+     * @brief Copy constructor.
+     * @param route the route to copy
      */
     Ipv6MulticastRoutingTableEntry(const Ipv6MulticastRoutingTableEntry& route);
 
     /**
-     * \brief Copy constructor.
-     * \param route the route to copy
+     * @brief Copy constructor.
+     * @param route the route to copy
      */
     Ipv6MulticastRoutingTableEntry(const Ipv6MulticastRoutingTableEntry* route);
 
     /**
-     * \brief Get the source of this route
-     * \return IPv6 address of the source of this route
+     * @brief Get the source of this route
+     * @return IPv6 address of the source of this route
      */
     Ipv6Address GetOrigin() const;
 
     /**
-     * \brief Get the group.
-     * \return IPv6 address of the multicast group of this route
+     * @brief Get the group.
+     * @return IPv6 address of the multicast group of this route
      */
     Ipv6Address GetGroup() const;
 
     /**
-     * \brief Get the input interface address.
-     * \return input interface index
+     * @brief Get the input interface address.
+     * @return input interface index
      */
     uint32_t GetInputInterface() const;
 
     /**
-     * \brief Get the number of output interfaces of this route.
-     * \return number of output interfaces of this route.
+     * @brief Get the number of output interfaces of this route.
+     * @return number of output interfaces of this route.
      */
     uint32_t GetNOutputInterfaces() const;
 
     /**
-     * \brief Get a specified output interface.
-     * \param n index
-     * \return a specified output interface
+     * @brief Get a specified output interface.
+     * @param n index
+     * @return a specified output interface
      */
     uint32_t GetOutputInterface(uint32_t n) const;
 
     /**
-     * \brief Get all of the output interfaces of this route.
-     * \return a vector of all output interfaces of this route
+     * @brief Get all of the output interfaces of this route.
+     * @return a vector of all output interfaces of this route
      */
     std::vector<uint32_t> GetOutputInterfaces() const;
 
     /**
-     * \brief Create a multicast route.
-     * \param origin IPv6 address of the origin source
-     * \param group Ipv6Address of the group
-     * \param inputInterface interface number
-     * \param outputInterfaces list of output interface number
-     * \return a multicast route
+     * @brief Create a multicast route.
+     * @param origin IPv6 address of the origin source
+     * @param group Ipv6Address of the group
+     * @param inputInterface interface number
+     * @param outputInterfaces list of output interface number
+     * @return a multicast route
      */
     static Ipv6MulticastRoutingTableEntry CreateMulticastRoute(
         Ipv6Address origin,
@@ -357,11 +357,11 @@
 
   private:
     /**
-     * \brief Constructor.
-     * \param origin IPv6 address of the source
-     * \param group IPv6 address of the group
-     * \param inputInterface interface number
-     * \param outputInterfaces list of output interface number
+     * @brief Constructor.
+     * @param origin IPv6 address of the source
+     * @param group IPv6 address of the group
+     * @param inputInterface interface number
+     * @param outputInterfaces list of output interface number
      */
     Ipv6MulticastRoutingTableEntry(Ipv6Address origin,
                                    Ipv6Address group,
@@ -369,32 +369,32 @@
                                    std::vector<uint32_t> outputInterfaces);
 
     /**
-     * \brief The IPv6 address of the source.
+     * @brief The IPv6 address of the source.
      */
     Ipv6Address m_origin;
 
     /**
-     * \brief The IPv6 address of the group.
+     * @brief The IPv6 address of the group.
      */
     Ipv6Address m_group;
 
     /**
-     * \brief The input interface.
+     * @brief The input interface.
      */
     uint32_t m_inputInterface;
 
     /**
-     * \brief The output interfaces.
+     * @brief The output interfaces.
      */
     std::vector<uint32_t> m_outputInterfaces;
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv6 multicast routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv6 multicast routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv6MulticastRoutingTableEntry& route);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-static-routing.h ns-3.44/src/internet/model/ipv6-static-routing.h
--- ns-3.43/src/internet/model/ipv6-static-routing.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-static-routing.h	2025-03-09 16:55:49.399371100 -0700
@@ -31,9 +31,9 @@
 class Ipv6MulticastRoutingTableEntry;
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief Static routing protocol for IP version 6 stacks.
+ * @brief Static routing protocol for IP version 6 stacks.
  *
  * This class provides a basic set of methods for inserting static
  * unicast and multicast routes into the Ipv6 routing system.
@@ -45,16 +45,16 @@
  * Ipv6RoutingProtocol that defines the interface methods that a routing
  * protocol must support.
  *
- * \see Ipv6RoutingProtocol
- * \see Ipv6ListRouting
- * \see Ipv6ListRouting::AddRoutingProtocol
+ * @see Ipv6RoutingProtocol
+ * @see Ipv6ListRouting
+ * @see Ipv6ListRouting::AddRoutingProtocol
  */
 class Ipv6StaticRouting : public Ipv6RoutingProtocol
 {
   public:
     /**
-     * \brief The interface Id associated with this class.
-     * \return type identifier
+     * @brief The interface Id associated with this class.
+     * @return type identifier
      */
     static TypeId GetTypeId();
 
@@ -62,12 +62,12 @@
     ~Ipv6StaticRouting() override;
 
     /**
-     * \brief Add route to host.
-     * \param dest destination address
-     * \param nextHop next hop address to route the packet.
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Add route to host.
+     * @param dest destination address
+     * @param nextHop next hop address to route the packet.
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void AddHostRouteTo(Ipv6Address dest,
                         Ipv6Address nextHop,
@@ -76,20 +76,20 @@
                         uint32_t metric = 0);
 
     /**
-     * \brief Add route to host.
-     * \param dest destination address.
-     * \param interface interface index
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Add route to host.
+     * @param dest destination address.
+     * @param interface interface index
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void AddHostRouteTo(Ipv6Address dest, uint32_t interface, uint32_t metric = 0);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix*
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix*
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void AddNetworkRouteTo(Ipv6Address network,
                            Ipv6Prefix networkPrefix,
@@ -98,13 +98,13 @@
                            uint32_t metric = 0);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix*
-     * \param nextHop next hop address to route the packet.
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix*
+     * @param nextHop next hop address to route the packet.
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void AddNetworkRouteTo(Ipv6Address network,
                            Ipv6Prefix networkPrefix,
@@ -114,11 +114,11 @@
                            uint32_t metric = 0);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void AddNetworkRouteTo(Ipv6Address network,
                            Ipv6Prefix networkPrefix,
@@ -126,11 +126,11 @@
                            uint32_t metric = 0);
 
     /**
-     * \brief Set the default route.
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \param prefixToUse prefix to use (i.e for multihoming)
-     * \param metric metric of route in case of multiple routes to same destination
+     * @brief Set the default route.
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @param prefixToUse prefix to use (i.e for multihoming)
+     * @param metric metric of route in case of multiple routes to same destination
      */
     void SetDefaultRoute(Ipv6Address nextHop,
                          uint32_t interface,
@@ -138,46 +138,46 @@
                          uint32_t metric = 0);
 
     /**
-     * \brief Get the number or entries in the routing table.
-     * \return number of entries
+     * @brief Get the number or entries in the routing table.
+     * @return number of entries
      */
     uint32_t GetNRoutes() const;
 
     /**
-     * \brief Get the default route.
+     * @brief Get the default route.
      *
      * If multiple default routes exist, the one with lowest metric is returned.
-     * \return default Ipv6Route
+     * @return default Ipv6Route
      */
     Ipv6RoutingTableEntry GetDefaultRoute();
 
     /**
-     * \brief Get a specified route.
-     * \param i index
-     * \return the route whose index is i
+     * @brief Get a specified route.
+     * @param i index
+     * @return the route whose index is i
      */
     Ipv6RoutingTableEntry GetRoute(uint32_t i) const;
 
     /**
-     * \brief Get a metric for route from the static unicast routing table.
-     * \param index The index (into the routing table) of the route to retrieve.
-     * \return If route is set, the metric is returned. If not, an infinity metric (0xffffffff) is
+     * @brief Get a metric for route from the static unicast routing table.
+     * @param index The index (into the routing table) of the route to retrieve.
+     * @return If route is set, the metric is returned. If not, an infinity metric (0xffffffff) is
      * returned
      */
     uint32_t GetMetric(uint32_t index) const;
 
     /**
-     * \brief Remove a route from the routing table.
-     * \param i index
+     * @brief Remove a route from the routing table.
+     * @param i index
      */
     void RemoveRoute(uint32_t i);
 
     /**
-     * \brief Remove a route from the routing table.
-     * \param network IPv6 network
-     * \param prefix IPv6 prefix
-     * \param ifIndex interface index
-     * \param prefixToUse IPv6 prefix to use with this route (multihoming)
+     * @brief Remove a route from the routing table.
+     * @param network IPv6 network
+     * @param prefix IPv6 prefix
+     * @param ifIndex interface index
+     * @param prefixToUse IPv6 prefix to use with this route (multihoming)
      */
     void RemoveRoute(Ipv6Address network,
                      Ipv6Prefix prefix,
@@ -185,11 +185,11 @@
                      Ipv6Address prefixToUse);
 
     /**
-     * \brief Add a multicast route for a given multicast source and group.
-     * \param origin IPv6 address of the source
-     * \param group the multicast group address.
-     * \param inputInterface the interface index
-     * \param outputInterfaces the list of output interface indices over which the packet
+     * @brief Add a multicast route for a given multicast source and group.
+     * @param origin IPv6 address of the source
+     * @param group the multicast group address.
+     * @param inputInterface the interface index
+     * @param outputInterfaces the list of output interface indices over which the packet
      * should be sent (excluding the inputInterface).
      */
     void AddMulticastRoute(Ipv6Address origin,
@@ -198,44 +198,44 @@
                            std::vector<uint32_t> outputInterfaces);
 
     /**
-     * \brief Set the default multicast route.
-     * \param outputInterface default output interface
+     * @brief Set the default multicast route.
+     * @param outputInterface default output interface
      */
     void SetDefaultMulticastRoute(uint32_t outputInterface);
 
     /**
-     * \brief Get the number of entries in the multicast routing table.
-     * \return number of entries
+     * @brief Get the number of entries in the multicast routing table.
+     * @return number of entries
      */
     uint32_t GetNMulticastRoutes() const;
 
     /**
-     * \brief Get the specified multicast route.
-     * \param i index
-     * \return the route whose index is i
+     * @brief Get the specified multicast route.
+     * @param i index
+     * @return the route whose index is i
      */
     Ipv6MulticastRoutingTableEntry GetMulticastRoute(uint32_t i) const;
 
     /**
-     * \brief Remove a static multicast route.
-     * \param origin IPv6 address of the source
-     * \param group the multicast group address.
-     * \param inputInterface the input interface index
-     * \return true on success
+     * @brief Remove a static multicast route.
+     * @param origin IPv6 address of the source
+     * @param group the multicast group address.
+     * @param inputInterface the input interface index
+     * @return true on success
      */
     bool RemoveMulticastRoute(Ipv6Address origin, Ipv6Address group, uint32_t inputInterface);
 
     /**
-     * \brief Remove a multicast route.
-     * \param i index of route to remove
+     * @brief Remove a multicast route.
+     * @param i index of route to remove
      */
     void RemoveMulticastRoute(uint32_t i);
 
     /**
-     * \brief If the destination is already present in network destination list.
-     * \param dest destination address
-     * \param interfaceIndex interface index
-     * \return true if dest is already in list, false otherwise
+     * @brief If the destination is already present in network destination list.
+     * @param dest destination address
+     * @param interfaceIndex interface index
+     * @return true if dest is already in list, false otherwise
      */
     bool HasNetworkDest(Ipv6Address dest, uint32_t interfaceIndex);
 
@@ -272,7 +272,7 @@
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
@@ -296,42 +296,42 @@
     typedef std::list<Ipv6MulticastRoutingTableEntry*>::iterator MulticastRoutesI;
 
     /**
-     * \brief Checks if a route is already present in the forwarding table.
-     * \param route route
-     * \param metric metric of route
-     * \return true if the route/metric is already in the forwarding table
+     * @brief Checks if a route is already present in the forwarding table.
+     * @param route route
+     * @param metric metric of route
+     * @return true if the route/metric is already in the forwarding table
      */
     bool LookupRoute(const Ipv6RoutingTableEntry& route, uint32_t metric);
 
     /**
-     * \brief Lookup in the forwarding table for destination.
-     * \param dest destination address
-     * \param interface output interface if any (put 0 otherwise)
-     * \return Ipv6Route to route the packet to reach dest address
+     * @brief Lookup in the forwarding table for destination.
+     * @param dest destination address
+     * @param interface output interface if any (put 0 otherwise)
+     * @return Ipv6Route to route the packet to reach dest address
      */
     Ptr<Ipv6Route> LookupStatic(Ipv6Address dest, Ptr<NetDevice> = nullptr);
 
     /**
-     * \brief Lookup in the multicast forwarding table for destination.
-     * \param origin source address
-     * \param group group multicast address
-     * \param ifIndex interface index
-     * \return Ipv6MulticastRoute to route the packet to reach dest address
+     * @brief Lookup in the multicast forwarding table for destination.
+     * @param origin source address
+     * @param group group multicast address
+     * @param ifIndex interface index
+     * @return Ipv6MulticastRoute to route the packet to reach dest address
      */
     Ptr<Ipv6MulticastRoute> LookupStatic(Ipv6Address origin, Ipv6Address group, uint32_t ifIndex);
 
     /**
-     * \brief the forwarding table for network.
+     * @brief the forwarding table for network.
      */
     NetworkRoutes m_networkRoutes;
 
     /**
-     * \brief the forwarding table for multicast.
+     * @brief the forwarding table for multicast.
      */
     MulticastRoutes m_multicastRoutes;
 
     /**
-     * \brief Ipv6 reference.
+     * @brief Ipv6 reference.
      */
     Ptr<Ipv6> m_ipv6;
 };
